package com.neusoft.smart.pos.card.persistent.repository;

import com.neusoft.smart.pos.card.persistent.domain.CardShopRelation;
import com.neusoft.smart.pos.exchangeStrategy.persistent.domain.ExchangeStrategy;

import java.util.List;

public interface ICardRelationRepository {

    void createCardShopRelation(Integer cardId, Integer orgId, Integer shopId);

    void createExchangeStrategy(Integer cardId, Integer strategyTypeId, String strategyCategory, String params);

    List<CardShopRelation> getCardShopRelation(Integer cardId);

    ExchangeStrategy getExchangeStrategy(Integer cardId, String strategyCategory);

    int updateCardShopRelation(Integer oldCardId, Integer newCardId);

    int updateExchangeStrategy(Integer oldCardId, Integer newCardId);
}
